%define module_name Siebel-Srvrmgr
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Carp.pm) perl(Class/Data/Inheritable.pm) perl(Config/IniFiles.pm) perl(Cwd.pm) perl(DB_File.pm) perl(Data/Dumper.pm) perl(DateTime.pm) perl(Devel/AssertOS.pm) perl(Devel/CheckOS.pm) perl(Devel/Gladiator.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FSA/Rules.pm) perl(Fcntl.pm) perl(File/BOM.pm) perl(File/Copy.pm) perl(File/Find/Rule.pm) perl(File/HomeDir.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Getopt/Std.pm) perl(Hash/Util.pm) perl(IO/Select.pm) perl(IO/Socket.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Log/Log4perl.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/AbstractFactory.pm) perl(MooseX/FollowPBP.pm)
BuildRequires: perl(MooseX/Singleton.pm) perl(Nagios/Plugin.pm) perl(POSIX.pm) perl(Proc/ProcessTable.pm) perl(Readonly.pm) perl(Regexp/Common.pm) perl(Regexp/Common/time.pm) perl(Scalar/Util.pm) perl(Scalar/Util/Numeric.pm) perl(Set/Tiny.pm) perl(Storable.pm) perl(String/BOM.pm) perl(Symbol.pm) perl(Test/Class.pm) perl(Test/Differences.pm) perl(Test/Moose.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/Output.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/TempDir/Tiny.pm) perl(Try/Tiny.pm) perl(XML/Rabbit.pm) perl(XML/Rabbit/Root.pm) perl(YAML/XS.pm) perl(namespace/autoclean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.29
Release: alt1
Summary: utilities to be used with the Siebel srvrmgr program
Group: Development/Perl
License: gpl
URL: https://github.com/glasswalk3r/siebel-monitoring-tools

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AR/ARFREITAS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The distribution Siebel-Srvrmgr was created to define a set of tools to interact with the `srvrmgr' program from Siebel.

It was started initially to create a parser for the project Siebel Monitoring Tools (http://code.google.com/p/siebel-monitoring-tools/) and later was grown to a 
set of more generic functionality, thus making sense to be published at CPAN.

This package used to be only Pod, but since release 0.09 it has a logging feature. See logging_cfg for details.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README TODO LICENSE examples
%perl_vendor_privlib/S*

%files scripts
%_bindir/*

%changelog
* Tue Dec 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.29-alt1
- regenerated from template by package builder

* Sat Nov 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.27-alt1
- regenerated from template by package builder

* Thu Jul 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- regenerated from template by package builder

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Wed Nov 20 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- initial import by package builder

